<template>
    <footer>
        <div class="container">
            <div class="link">
                <a class="discord" href="https://discord.gg/ttR85ZNjUd" target="_blank"><img src="../assets/img/logo-discord.png">discord.gg/chillgames</a>
                <a class="github" href="https://github.com/OscarM-Code/chillgames" target="_blank"><img src="../assets/img/logo-github.png">github.com/chillgames</a>
                <a class="email" href="mailto:contact.chillgames@gmil.com" target="_blank"><img src="../assets/img/logo-email.png">contact.chillgames@gmail.com</a>
            </div>
            <div class="name">
                <p class="firstp">CHILLGAMES</p>
                <p class="secondp">© 2022 All right reserved</p>
            </div>
            <div class="img">
                <img src="../assets/img/footer-pic.svg" alt="image d'un enfant qui coure au milieu de plusieurs papillons">
            </div>
        </div>
    </footer>
</template>

<script>

</script>

<style>

footer
{
    background: #161616;
    color: #ffffff;
    box-shadow: 0px -5px 10px rgba(0, 0, 0, 0.5);
}
.container {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    padding: 3rem 0;
    align-items: center;
}
.container a
{
    font-family: 'Oswald';
    font-size: 18px;
    text-decoration: none;
    color: #ffffff;
    gap: 1rem;
    margin-bottom: 10px;
    display: flex;
    align-items: center;
    transition: 0.3s;
}
.container a:hover
{
    color: #758edf;
}
.container a img
{
    max-height: 100%;
    max-width: 30px;
    margin-right: 22px;
}
.link
{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
}

.img
{
    width: 100%;
    max-width: 150px;
}
.container .img img
{
    filter: invert(100%);
}
.firstp
{
    font-family: 'Oswald-Bold';
    font-size: 50px;
}
.secondp
{
    font-family: 'Oswald';
    font-size: 18px;
}
.name
{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
@media screen and (min-width: 576px) {
    .container {
        flex-direction: row;
        gap: 0;
        justify-content: space-between;
        width: 90%;
        margin: 0 auto;
    }
}
</style>